<?php

use Phinx\Seed\AbstractSeed;

class StickersSeeder extends AbstractSeed
{
    /**
     * Run Method.
     */
    public function run(): void
    {
        $this->execute('TRUNCATE stickers_categories');
        $table = $this->table('stickers_categories');

        $data = [
            'id'         => 1,
            'name'       => 'Смайлы',
            'created_at' => SITETIME,
        ];

        $table->insert($data)->save();

        $this->execute('TRUNCATE stickers');
        $table = $this->table('stickers');

        $data = [
            ['category_id' => 1, 'name' => '/uploads/stickers/).gif', 'code' => ':)'],
            ['category_id' => 1, 'name' => '/uploads/stickers/(.gif', 'code' => ':('],
            ['category_id' => 1, 'name' => '/uploads/stickers/4moks.gif', 'code' => ':4moks'],
            ['category_id' => 1, 'name' => '/uploads/stickers/D.gif', 'code' => ':D'],
            ['category_id' => 1, 'name' => '/uploads/stickers/E.gif', 'code' => ':E'],
            ['category_id' => 1, 'name' => '/uploads/stickers/aaa.gif', 'code' => ':aaa'],
            ['category_id' => 1, 'name' => '/uploads/stickers/agree.gif', 'code' => ':agree'],
            ['category_id' => 1, 'name' => '/uploads/stickers/airkiss.gif', 'code' => ':airkiss'],
            ['category_id' => 1, 'name' => '/uploads/stickers/atlet.gif', 'code' => ':atlet'],
            ['category_id' => 1, 'name' => '/uploads/stickers/baby.gif', 'code' => ':baby'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bant.gif', 'code' => ':bant'],
            ['category_id' => 1, 'name' => '/uploads/stickers/be.gif', 'code' => ':be'],
            ['category_id' => 1, 'name' => '/uploads/stickers/blin.gif', 'code' => ':blin'],
            ['category_id' => 1, 'name' => '/uploads/stickers/blum.gif', 'code' => ':blum'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bomba.gif', 'code' => ':bomba'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bounce.gif', 'code' => ':bounce'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bugaga.gif', 'code' => ':bugaga'],
            ['category_id' => 1, 'name' => '/uploads/stickers/buhoj.gif', 'code' => ':buhoj'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bwink.gif', 'code' => ':bwink'],
            ['category_id' => 1, 'name' => '/uploads/stickers/cold.gif', 'code' => ':cold'],
            ['category_id' => 1, 'name' => '/uploads/stickers/cool.gif', 'code' => ':cool'],
            ['category_id' => 1, 'name' => '/uploads/stickers/cry.gif', 'code' => ':cry'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ded.gif', 'code' => ':ded'],
            ['category_id' => 1, 'name' => '/uploads/stickers/derisive.gif', 'code' => ':derisive'],
            ['category_id' => 1, 'name' => '/uploads/stickers/drool.gif', 'code' => ':drool'],
            ['category_id' => 1, 'name' => '/uploads/stickers/duma.gif', 'code' => ':duma'],
            ['category_id' => 1, 'name' => '/uploads/stickers/exercise.gif', 'code' => ':exercise'],
            ['category_id' => 1, 'name' => '/uploads/stickers/faq.gif', 'code' => ':faq'],
            ['category_id' => 1, 'name' => '/uploads/stickers/fermer.gif', 'code' => ':fermer'],
            ['category_id' => 1, 'name' => '/uploads/stickers/fingal.gif', 'code' => ':fingal'],
            ['category_id' => 1, 'name' => '/uploads/stickers/flirt.gif', 'code' => ':flirt'],
            ['category_id' => 1, 'name' => '/uploads/stickers/fuck.gif', 'code' => ':fuck'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girl_blum.gif', 'code' => ':girl_blum'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girl_bye.gif', 'code' => ':girl_bye'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girl_cry.gif', 'code' => ':girl_cry'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girl_hide.gif', 'code' => ':girl_hide'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girl_wink.gif', 'code' => ':girl_wink'],
            ['category_id' => 1, 'name' => '/uploads/stickers/girls.gif', 'code' => ':girls'],
            ['category_id' => 1, 'name' => '/uploads/stickers/happy.gif', 'code' => ':happy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/heart.gif', 'code' => ':heart'],
            ['category_id' => 1, 'name' => '/uploads/stickers/hello.gif', 'code' => ':hello'],
            ['category_id' => 1, 'name' => '/uploads/stickers/help.gif', 'code' => ':help'],
            ['category_id' => 1, 'name' => '/uploads/stickers/help2.gif', 'code' => ':help2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/hi.gif', 'code' => ':hi'],
            ['category_id' => 1, 'name' => '/uploads/stickers/infat.gif', 'code' => ':infat'],
            ['category_id' => 1, 'name' => '/uploads/stickers/kiss.gif', 'code' => ':kiss'],
            ['category_id' => 1, 'name' => '/uploads/stickers/kiss2.gif', 'code' => ':kiss2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/klass.gif', 'code' => ':klass'],
            ['category_id' => 1, 'name' => '/uploads/stickers/krut.gif', 'code' => ':krut'],
            ['category_id' => 1, 'name' => '/uploads/stickers/krutoy.gif', 'code' => ':krutoy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ku.gif', 'code' => ':ku'],
            ['category_id' => 1, 'name' => '/uploads/stickers/kuku.gif', 'code' => ':kuku'],
            ['category_id' => 1, 'name' => '/uploads/stickers/kulak.gif', 'code' => ':kulak'],
            ['category_id' => 1, 'name' => '/uploads/stickers/lamer.gif', 'code' => ':lamer'],
            ['category_id' => 1, 'name' => '/uploads/stickers/love.gif', 'code' => ':love'],
            ['category_id' => 1, 'name' => '/uploads/stickers/love2.gif', 'code' => ':love2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/mail.gif', 'code' => ':mail'],
            ['category_id' => 1, 'name' => '/uploads/stickers/mister.gif', 'code' => ':mister'],
            ['category_id' => 1, 'name' => '/uploads/stickers/money.gif', 'code' => ':money'],
            ['category_id' => 1, 'name' => '/uploads/stickers/moped.gif', 'code' => ':moped'],
            ['category_id' => 1, 'name' => '/uploads/stickers/musik.gif', 'code' => ':musik'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nea.gif', 'code' => ':nea'],
            ['category_id' => 1, 'name' => '/uploads/stickers/net.gif', 'code' => ':net'],
            ['category_id' => 1, 'name' => '/uploads/stickers/neznaju.gif', 'code' => ':neznaju'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ninja.gif', 'code' => ':ninja'],
            ['category_id' => 1, 'name' => '/uploads/stickers/no.gif', 'code' => ':no'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nono.gif', 'code' => ':nono'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nozh.gif', 'code' => ':nozh'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nyam.gif', 'code' => ':nyam'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nyam2.gif', 'code' => ':icecream'],
            ['category_id' => 1, 'name' => '/uploads/stickers/obana.gif', 'code' => ':obana'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ogogo.gif', 'code' => ':ogogo'],
            ['category_id' => 1, 'name' => '/uploads/stickers/oops.gif', 'code' => ':oops'],
            ['category_id' => 1, 'name' => '/uploads/stickers/opa.gif', 'code' => ':opa'],
            ['category_id' => 1, 'name' => '/uploads/stickers/otstoy.gif', 'code' => ':otstoy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/oy.gif', 'code' => ':oy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pirat.gif', 'code' => ':pirat'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pirat2.gif', 'code' => ':pirat2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pistolet.gif', 'code' => ':pistolet'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pistolet2.gif', 'code' => ':pistolet2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pizdec.gif', 'code' => ':shok3'],
            ['category_id' => 1, 'name' => '/uploads/stickers/poisk.gif', 'code' => ':poisk'],
            ['category_id' => 1, 'name' => '/uploads/stickers/proud.gif', 'code' => ':proud'],
            ['category_id' => 1, 'name' => '/uploads/stickers/puls.gif', 'code' => ':puls'],
            ['category_id' => 1, 'name' => '/uploads/stickers/queen.gif', 'code' => ':queen'],
            ['category_id' => 1, 'name' => '/uploads/stickers/rap.gif', 'code' => ':rap'],
            ['category_id' => 1, 'name' => '/uploads/stickers/read.gif', 'code' => ':read'],
            ['category_id' => 1, 'name' => '/uploads/stickers/respekt.gif', 'code' => ':respekt'],
            ['category_id' => 1, 'name' => '/uploads/stickers/rok.gif', 'code' => ':rok'],
            ['category_id' => 1, 'name' => '/uploads/stickers/rok2.gif', 'code' => ':rok2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/senjor.gif', 'code' => ':senjor'],
            ['category_id' => 1, 'name' => '/uploads/stickers/shok.gif', 'code' => ':shok'],
            ['category_id' => 1, 'name' => '/uploads/stickers/shok2.gif', 'code' => ':shok2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/skull.gif', 'code' => ':skull'],
            ['category_id' => 1, 'name' => '/uploads/stickers/smert.gif', 'code' => ':smert'],
            ['category_id' => 1, 'name' => '/uploads/stickers/smoke.gif', 'code' => ':smoke'],
            ['category_id' => 1, 'name' => '/uploads/stickers/spy.gif', 'code' => ':spy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/strela.gif', 'code' => ':strela'],
            ['category_id' => 1, 'name' => '/uploads/stickers/svist.gif', 'code' => ':svist'],
            ['category_id' => 1, 'name' => '/uploads/stickers/tiho.gif', 'code' => ':tiho'],
            ['category_id' => 1, 'name' => '/uploads/stickers/vau.gif', 'code' => ':vau'],
            ['category_id' => 1, 'name' => '/uploads/stickers/victory.gif', 'code' => ':victory'],
            ['category_id' => 1, 'name' => '/uploads/stickers/visavi.gif', 'code' => ':visavi'],
            ['category_id' => 1, 'name' => '/uploads/stickers/visavi2.gif', 'code' => ':visavi2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/vtopku.gif', 'code' => ':vtopku'],
            ['category_id' => 1, 'name' => '/uploads/stickers/wackogirl.gif', 'code' => ':wackogirl'],
            ['category_id' => 1, 'name' => '/uploads/stickers/xaxa.gif', 'code' => ':xaxa'],
            ['category_id' => 1, 'name' => '/uploads/stickers/xmm.gif', 'code' => ':xmm'],
            ['category_id' => 1, 'name' => '/uploads/stickers/yu.gif', 'code' => ':yu'],
            ['category_id' => 1, 'name' => '/uploads/stickers/zlo.gif', 'code' => ':zlo'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ban.gif', 'code' => ':ban'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ban2.gif', 'code' => ':ban2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/banned.gif', 'code' => ':banned'],
            ['category_id' => 1, 'name' => '/uploads/stickers/closed.gif', 'code' => ':closed'],
            ['category_id' => 1, 'name' => '/uploads/stickers/closed2.gif', 'code' => ':closed2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/devil.gif', 'code' => ':devil'],
            ['category_id' => 1, 'name' => '/uploads/stickers/flood.gif', 'code' => ':flood'],
            ['category_id' => 1, 'name' => '/uploads/stickers/flood2.gif', 'code' => ':flood2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/huligan.gif', 'code' => ':huligan'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ment.gif', 'code' => ':ment'],
            ['category_id' => 1, 'name' => '/uploads/stickers/ment2.gif', 'code' => ':ment2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/moder.gif', 'code' => ':moder'],
            ['category_id' => 1, 'name' => '/uploads/stickers/nika.gif', 'code' => ':girlmoder'],
            ['category_id' => 1, 'name' => '/uploads/stickers/offtop.gif', 'code' => ':offtop'],
            ['category_id' => 1, 'name' => '/uploads/stickers/pravila.gif', 'code' => ':pravila'],
            ['category_id' => 1, 'name' => '/uploads/stickers/zona.gif', 'code' => ':zona'],
            ['category_id' => 1, 'name' => '/uploads/stickers/zub.gif', 'code' => ':zub'],
            ['category_id' => 1, 'name' => '/uploads/stickers/crazy.gif', 'code' => ':crazy'],
            ['category_id' => 1, 'name' => '/uploads/stickers/paratrooper.gif', 'code' => ':moder2'],
            ['category_id' => 1, 'name' => '/uploads/stickers/bug.gif', 'code' => ':bug'],
            ['category_id' => 1, 'name' => '/uploads/stickers/facepalm.gif', 'code' => ':facepalm'],
            ['category_id' => 1, 'name' => '/uploads/stickers/wall.gif', 'code' => ':wall'],
            ['category_id' => 1, 'name' => '/uploads/stickers/boss.gif', 'code' => ':boss'],
        ];

        $table->insert($data)->save();
    }
}
